div.social
{
    height:20px;
    overflow: hidden;
    width:256px;
}

/* This gets Google to fall into place */
.social {
font-size: 1px;
}
 
/* This gets Facebook to fall into place */
.social iframe {
vertical-align: middle;
}
 
/* Set an optional width for your button wrappers */
.social span {
display: inline-block;
width: 110px;
}
 
/* Adjust the widths individually if you like */
.social .google {
width: auto;
}

/* Adjust the widths individually if you like */
.social .facebook {
margin-right: -25px;
}

/* Adjust the widths individually if you like */
.social .twitter {
margin-right: -25px;
margin-bottom: 2px;
}